textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/latticeclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm latticesteps 
}

textures/pad_attic/oldstam03
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_attic/oldstam03.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_fountain/balken01_512
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_fountain/balken01_512.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_marblefx/marble22
{
	qer_editorimage textures/pad_marble/marble22.tga
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_marble/marble22.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
}

textures/pad_marblefx/marble27
{
	qer_editorimage textures/pad_marble/marble27.tga
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_marble/marble27.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
}

textures/pad_wop/padbubble
{       	
	qer_editorimage textures/pad_wop/padbubble.tga
	qer_trans 0.5
	surfaceparm nonsolid
        surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/pad_wop/padbubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/pad_wop/padjump_red
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_red.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_red2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padjump_blue
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_blue.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_blue2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padtele_blue
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele_blue.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric_blue.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric_blue.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele_blue.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_wop/padtele_red
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele_red.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric_red.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric_red.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele_red.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_fridge/kb_poolpackblue
{
	{
		map textures/pad_fridge/kb_poolpackblue.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_poolpackred
{
	{
		map textures/pad_fridge/kb_poolpackred.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_butter01
{
	{
		map textures/pad_fridge/kb_butter01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_butter02
{
	{
		map textures/pad_fridge/kb_butter02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_butter03
{
	{
		map textures/pad_fridge/kb_butter03.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_butter04
{
	{
		map textures/pad_fridge/kb_butter04.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_margarine01
{
	{
		map textures/pad_fridge/kb_margarine01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_margarine02
{
	{
		map textures/pad_fridge/kb_margarine02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_margarine03
{
	{
		map textures/pad_fridge/kb_margarine03.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_margarine04
{
	{
		map textures/pad_fridge/kb_margarine04.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_blackbox01
{
	{
		map textures/pad_fridge/kb_blackbox01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_blackbox02
{
	{
		map textures/pad_fridge/kb_blackbox02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_blackbox03
{
	{
		map textures/pad_fridge/kb_blackbox03.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_joghurt01
{
	{
		map textures/pad_fridge/kb_joghurt01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_joghurt02
{
	{
		map textures/pad_fridge/kb_joghurt02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_joghurt03
{
	{
		map textures/pad_fridge/kb_joghurt03.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_feta01
{
	{
		map textures/pad_fridge/kb_feta01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_feta02
{
	{
		map textures/pad_fridge/kb_feta02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad4.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_eisfachlight_2500
{
	qer_editorimage textures/pad_fridge/kb_eisfachlight.tga
	q3map_lightimage textures/common/white.tga
	q3map_surfacelight 2500
	q3map_backsplash 15 128
	{
		map textures/pad_fridge/kb_eisfachlight.tga
		rgbgen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_decke
{
	qer_editorimage textures/pad_wallin/color07.tga
	q3map_lightimage textures/pad_wallin/color07.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_backsplash 0 0
	{
		map textures/pad_wallin/color07.tga
	}
}

textures/pad_fridge/fog_dusty
{
	qer_editorimage textures/pad_gfx02b/padfog_grey.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.501961 0.501961 0.501961 ) 1536
}

textures/pad_fridge/kb_milch
{
	qer_editorimage textures/pad_fridge/kb_milch.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	qer_trans 0.5
	q3map_globaltexture
	
	{
		map textures/pad_fridge/kb_milch.tga
		blendfunc add
		rgbgen identity
		tcmod turb 0.2 0.05 1 0.05
		tcmod scale 0.5 0.5
		tcmod scroll 0.005 0.005
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_milchfall
{
	qer_editorimage textures/pad_fridge/kb_milch.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water
	cull disable
	deformvertexes wave 128 triangle 1 3 0.1 0.8 
	tesssize 32
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/pad_fridge/kb_milch.tga
		blendfunc add
		tcmod scale 1 1
		tcmod turb 0.1 0.08 0.5 0.1
		tcmod scroll 0.8 0.25
	}
	{
		map textures/pad_fridge/kb_milch.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod turb 0.1 0.075 0.5 0.05
		tcmod scroll 0.3 0.1
	}
}

textures/pad_fridge/kb_eisfach
{
	qer_editorimage textures/pad_fridge/kb_eisfach.tga
	surfaceparm snowsteps
	{
		map textures/pad_fridge/kb_sparkle.tga
		tcmod scale 15 15
		tcgen vertex 
	}
	{
		map $whiteimage 
		blendfunc add
		rgbgen const ( 0.690196 0.690196 0.690196 )
	}
	{
		map textures/pad_fridge/kb_eisfach.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/pad_fridge/kb_klecks
{    
     surfaceparm nomarks   
     surfaceparm trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_fridge/kb_klecks.tga
               	blendfunc blend
		rgbgen vertex
	}
}

textures/pad_fridge/wop_icelogo
{    
     surfaceparm nomarks   
     surfaceparm trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_fridge/wop_icelogo.tga
               	blendfunc blend
		rgbgen vertex
	}
}

textures/pad_fridge/kb_groundw
{
		surfaceparm sandsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_fridge/kb_groundw.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_garden/wave0
{ 
qer_editorimage textures/pad_garden/wave0.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
nomipmaps 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.765160 0.500000 
{ 
clampmap textures/pad_garden/wave1.tga 
tcmod rotate 5.752586 
alphagen wave sawtooth 1.000000 -0.421894 0.765160 0.500000 
rgbgen wave sawtooth 1.000000 -0.720054 0.765160 0.500000 
tcmod stretch sawtooth 0 0 0 0 
blendfunc add 
} 
{ 
clampmap textures/pad_garden/wave2.tga 
tcmod rotate 5.752586 
alphagen wave sawtooth 1.000000 -0.421894 0.765160 0.500000 
rgbgen wave sawtooth 1.000000 -0.720054 0.765160 0.500000 
tcmod stretch sawtooth 0.177834 0.822166 0.765160 0.500000 
blendfunc add 
} 
}

textures/pad_gfx/glass2_dark
{
	qer_editorimage textures/pad_gfx/glass2_dark.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_dark.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass2_blue
{
	qer_editorimage textures/pad_gfx/glass2_blue.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_blue.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass2_red
{
	qer_editorimage textures/pad_gfx/glass2_red.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_red.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/flare
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/pad_gfx/flare.tga
            blendfunc gl_one gl_one
          }
}

textures/pad_gfx02/gitter03
{
        qer_editorimage textures/pad_gfx02/git03.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/git03.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02b/cweb_m01a
{
    
    
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformvertexes wave 10 sin 0 2 0 0.2
    {
        map textures/pad_gfx02b/cweb_m01a.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        rgbgen vertex
    }
}

textures/glowstar/glas
{
	qer_editorimage textures/colors/greygreen.tga
	cull back
	{
		map textures/colors/greygreen.tga
		blendfunc add
	}
	{
		map textures/pad_gfx/env2.tga
		blendfunc filter
		tcgen environment 
	}
}

textures/pad_jail/pad_jail_metal1
{
	surfaceparm metalsteps		
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_jail/pad_jail_metal1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/pad_cake/pad_cake
{
	nopicmip
	nomipmaps

	{
		map models/mapobjects/pad_cake/pad_cake.tga
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}

}

models/mapobjects/pad_plates/plate_under
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_under.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate_coffeeblue
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_coffeeblue.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate_coffeered
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_coffeered.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cutlery/knifefork
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cutlery/knifefork.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/coke1
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/coke1.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_bottom
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_bottom.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_top
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_top.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/pupsi
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/pupsi.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_fruits/citrus_leaf
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_fruits/citrus.tga
		rgbgen vertex
		alphafunc ge128
	}
}

textures/pad_wallin/wall_defect
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallin/wall_defect.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wallout/rost004small
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallout/rost004small.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/planke10
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/planke10.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood017sred
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood017sred.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood018
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood018.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood066
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood066.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood074
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood074.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood076
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood076.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_trash/kb_stirnholz
{
		surfaceparm woodsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_trash/kb_stirnholz.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_trash/kb_schuttcontainer2
{
		surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_trash/kb_schuttcontainer2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_trash/kb_feuerleiter
{
		surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_trash/kb_feuerleiter.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

